#Name: Laraib Shaikh

#Student Number: 1205628

#Lab Section: L09

#Date: 0ctober 19, 2012



#Program to perform some statistical analysis on a set of data.



import string

import math

def main():

    print "This program performs statistical analysis on a set of data"



#Get the file names

infileName = raw_input ("Please enter the file name to read the lists:")

outfileName = raw_input ("Please enter the filename to write the lists:")



#open the files

Fx = open (file_name, "r")

Fy = open (file_name, "r")

m = open (filename, "w")



Lx = 0.0

Ly = 0.0

x = 0

y = 0

d = 0



#values of the lists and their conversion into floats

for i in range (0,n):

    Lx = float(Lx + (x[i] + x[i-1]))

    Ly = float(Ly + (y[i] + y[i-1]))



# writing the mean deciation

m.write(Lx*Ly)

#calculating the mean deviation

d = d + (math.sqrt((sum(y[i]*(x[i])**2))*(sum(y[i]))- (sum(y[i]*x[i]))**2)%(((sum(y[i]))**2)-(sum(y[i])**2)))





#close the files

Fx.close()

Fy.close()

m.close()



"""

There are n-1 number of summations to calculate the deviation. Yes, it is possible to use one loop to calculate the deviation by making the range n. 



"""

